> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tokenfactory.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List spec-draft trainable models

> Lists Hugging Face models supported for spec-draft training with their parameter counts, maximum context lengths, metadata, and billing prices.



## OpenAPI

````yaml https://api.tokenfactory.nebius.com/openapi.json get /fine_tuning/models/spec-draft
openapi: 3.1.0
info:
  title: Nebius OpenAI-compatible inference API
  version: 20261012-dfdbe18ea
servers:
  - url: https://api.tokenfactory.nebius.com
security: []
paths:
  /fine_tuning/models/spec-draft:
    get:
      tags:
        - fine-tuning
      summary: List spec-draft trainable models
      description: >-
        Lists Hugging Face models supported for spec-draft training with their
        parameter counts, maximum context lengths, metadata, and billing prices.
      operationId: list_spec_draft_trainable_models_fine_tuning_models_spec_draft_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpecDraftTrainableModelsResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    SpecDraftTrainableModelsResponse:
      properties:
        models:
          items:
            $ref: '#/components/schemas/SpecDraftTrainableModel'
          type: array
          title: Models
      type: object
      required:
        - models
      title: SpecDraftTrainableModelsResponse
    SpecDraftTrainableModel:
      properties:
        hf_repo_name:
          type: string
          title: Hf Repo Name
        huggingface_url:
          type: string
          title: Huggingface Url
        size_b:
          type: number
          title: Size B
        context_window_k:
          type: integer
          title: Context Window K
        quantization:
          type: string
          minLength: 1
          title: Quantization
        description:
          type: string
          minLength: 1
          title: Description
        license:
          $ref: '#/components/schemas/ModelLicense'
        price:
          $ref: '#/components/schemas/SpecDraftTrainingPrice'
      type: object
      required:
        - hf_repo_name
        - huggingface_url
        - size_b
        - context_window_k
        - quantization
        - description
        - license
        - price
      title: SpecDraftTrainableModel
    ModelLicense:
      properties:
        url:
          type: string
          title: Url
        type:
          type: string
          title: Type
        name:
          type: string
          title: Name
      type: object
      required:
        - url
        - type
        - name
      title: ModelLicense
    SpecDraftTrainingPrice:
      properties:
        sku_id:
          type: string
          title: Sku Id
        value:
          type: number
          title: Value
      type: object
      required:
        - sku_id
        - value
      title: SpecDraftTrainingPrice
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````